#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
#define cy cout << "YES" << endl;
#define cn cout << "NO" << endl;
#define pf push_front
#define pb push_back
#define all(x) x.begin(), x.end()
#define vi vector<int>
#define vll vector<ll>
#define print(x) cout << x << endl;
#define prints(x) cout << x << ' ';


void solve()
{int mx[100000][100000];

    int n,m; cin >> n >> m;


    for(int i = 0; i < n; i++)
        for(int j = 0; j < n; j++)
            cin >> mx[i][j];


}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int tt= 1;
    while(tt--)
    {
        solve();
    }
}